> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hobbo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# PeoplePerHour Profile Reviews

> This endpoint is used to fetch reviews from peopleperhour-profile for a specified business.



## OpenAPI

````yaml POST /peopleperhour-profile/reviews
openapi: 3.1.0
info:
  title: OpenAPI Plant Store
  description: >-
    A sample API that uses a plant store as an example to demonstrate features
    in the OpenAPI specification
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.hobbo.ai
    description: Main API server
  - url: https://py-api.hobbo.ai
    description: Python API server for scraper endpoints
security:
  - ApiKeyAuth: []
paths:
  /peopleperhour-profile/reviews:
    post:
      description: >-
        This endpoint is used to fetch reviews from peopleperhour-profile for a
        specified business.
      requestBody:
        description: peopleperhour-profile review scraping parameters
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PeopleperhourProfileReviewsRequest'
        required: true
      responses:
        '200':
          description: Reviews fetched successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PeopleperhourProfileReviewsResponse'
              examples:
                validationError:
                  value:
                    all_reviews: []
                    extra_information: {}
                    message: <string>
        '400':
          description: Validation error or unexpected error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              examples:
                validationError:
                  value:
                    error: <string>
      servers:
        - url: https://py-api.hobbo.ai
components:
  schemas:
    PeopleperhourProfileReviewsRequest:
      type: object
      required:
        - query
      properties:
        query:
          type: string
          description: Provide proper Peopleperhour url or provide profile slug.
        reviews_to_fetch:
          type: number
          description: >-
            Number of reviews to fetch (default: all reviews, or within
            30-second timeout)
        is_text_formatted:
          type: boolean
          description: 'returns the review text with visual formatting preserved '
        sync_date:
          type: string
          description: 'Fetches reviews posted on a specific date using format: YYYY-MM-DD'
    PeopleperhourProfileReviewsResponse:
      type: object
      properties:
        all_reviews:
          type: array
          description: Array of fetched reviews
          items:
            type: object
            properties:
              project_details:
                type: object
                properties:
                  project_like_count:
                    type: string
                    description: Number of likes for the project
                  project_member_name:
                    type: string
                    description: Name of the project member
                  project_member_profile_picture_url:
                    type: string
                    description: Profile picture URL of the project member
                  project_member_profile_url:
                    type: string
                    description: Profile URL of the project member
                  project_posted_date:
                    type: string
                    description: Date when the project was posted
                  project_price:
                    type:
                      - string
                      - 'null'
                    description: Price of the project
                  project_sold_count:
                    type: string
                    description: Number of times the project was sold
                  project_thumbnail_url:
                    type:
                      - string
                      - 'null'
                    description: Thumbnail URL of the project
                  project_title:
                    type: string
                    description: Title of the project
                  project_url:
                    type:
                      - string
                      - 'null'
                    description: URL of the project
                description: Details about the project
              project_reviews:
                type: array
                description: Array of reviews for the project
                items:
                  type: object
                  properties:
                    author_location:
                      type: string
                      description: Location of the review author
                    author_name:
                      type: string
                      description: Name of the review author
                    author_profile_image_url:
                      type: string
                      description: Profile image URL of the review author
                    query:
                      type: string
                      description: Original query URL
                    review_date:
                      type: string
                      description: Date when the review was posted
                    review_rating:
                      type: string
                      description: Rating given in the review
                    review_text:
                      type: string
                      description: Content of the review
        extra_information:
          type: object
          properties:
            extra_information:
              type: object
              description: Additional metadata about the reviews
            total_review_count:
              type: integer
              description: Total number of reviews fetched
            total_review_count_list:
              type: array
              items:
                type: integer
              description: List of review counts
        message:
          type: string
          description: Status message about the review extraction
    Error:
      type: object
      properties:
        status:
          type: integer
          description: HTTP status code
        data:
          type: object
          description: Empty object or additional error data
        success:
          type: boolean
          description: Indicates operation failed
          example: false
        message:
          type: string
          description: Error message describing what went wrong

````